#ifndef AVRECEIVERDATA_H
#define AVRECEIVERDATA_H
#include <QString>
#include "GlobalDefine.h"


class CAvReceiverMainStatus
{
public:

    QByteArray ToByteArray();
    int FromByteArray(QByteArray Data);

    CAvReceiverMainStatus();

    bool mMainPwrStatus;
    bool mMainSleepStatus;
    float mMainVolume;
    bool mIsMute;
    QString mInput;
    QString mProgram;
    bool mSpeakerAState;
    bool mSpeakerBState;

    bool mDataValid;
    bool mReceiverOnline;

};

#endif // AVRECEIVERDATA_H
